Index: resources/tspsg.qrc
===================================================================
--- resources/tspsg.qrc	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ resources/tspsg.qrc	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -1,8 +1,6 @@
 <RCC>
     <qresource prefix="/images" >
-        <file>About.bmp</file>
-        <file>Icon.png</file>
-        <file>Settings.png</file>
-        <file>Task.bmp</file>
+        <file>about.bmp</file>
+        <file>icon.png</file>
         <file>icons/button_cancel.png</file>
         <file>icons/button_ok.png</file>
Index: resources/tspsg.rc
===================================================================
--- resources/tspsg.rc	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ resources/tspsg.rc	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -15,5 +15,5 @@
 
 // Main Icon
-IDI_APPICON	ICON	"Icon.ico"
+IDI_APPICON	ICON	"icon.ico"
 
 // Version Info
@@ -39,5 +39,5 @@
         BLOCK "000004b0"
         BEGIN
-            VALUE "Comments", BUILD_STATUS
+//            VALUE "Comments", BUILD_STATUS
             VALUE "CompanyName", "..::Lёppsville::.. Homes"
             VALUE "FileDescription", "TSPSG: TSP Solver and Generator"
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ src/main.cpp	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -27,5 +27,7 @@
 		#pragma message("WARNING: You are using Qt version < 4.5. Application will not support some non-critical features.")
 	#elif (defined(__GNUC__) || defined(__MINGW32__))
-		#warning "WARNING: You are using Qt version < 4.5. Application will not support some non-critical features."
+		#warning WARNING: You are using Qt version < 4.5. Application will not support some non-critical features.
+	#else
+		#error You are using Qt version < 4.5. Application will not support some non-critical features. To continue, please, comment line 31 at main.cpp.
 	#endif
 #endif
@@ -34,12 +36,14 @@
 {
 QApplication app(argc, argv);
+	app.setOverrideCursor(QCursor(Qt::WaitCursor));
 	QTextCodec::setCodecForLocale(QTextCodec::codecForName("utf8"));
 	QTextCodec::setCodecForCStrings(QTextCodec::codecForName("utf8"));
 	QTextCodec::setCodecForTr(QTextCodec::codecForName("utf8"));
-	app.setOrganizationName("..::Lёppsville::..");
-	app.setOrganizationDomain("www.leppsville.com");
+	app.setOrganizationName("..::Lёppsville::.. Homes");
+	app.setOrganizationDomain("l-homes.org");
 	app.setApplicationName("TSPSG");
 MainWindow mainwindow;
 	mainwindow.show();
+	app.restoreOverrideCursor();
 	return app.exec();
 }
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ src/mainwindow.cpp	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -1,3 +1,3 @@
-	/*
+/*
  *  TSPSG: TSP Solver and Generator
  *  Copyright (C) 2007-2009 Lёppa <contacts[at]oleksii[dot]name>
@@ -87,4 +87,8 @@
 	connect(tspmodel,SIGNAL(dataChanged(const QModelIndex &, const QModelIndex &)),this,SLOT(dataChanged()));
 	connect(tspmodel,SIGNAL(layoutChanged()),this,SLOT(dataChanged()));
+	if (QCoreApplication::arguments().count() > 1) {
+		tspmodel->loadTask(QCoreApplication::arguments().at(1));
+		setWindowModified(false);
+	}
 #ifdef Q_OS_WINCE
 	taskView->resizeColumnsToContents();
@@ -229,5 +233,7 @@
 	sd.setAcceptMode(QFileDialog::AcceptSave);
 QStringList filters(trUtf8("HTML Files") + " (*.html *.htm)");
+#if QT_VERSION >= 0x040500
 	filters.append(trUtf8("OpenDocument Files") + " (*.odt)");
+#endif // QT_VERSION >= 0x040500
 	filters.append(trUtf8("All Files") + " (*)");
 	sd.setNameFilters(filters);
@@ -239,8 +245,18 @@
 		return;
 	selectedFile = files.first();
+#if QT_VERSION >= 0x040500
 QTextDocumentWriter dw(selectedFile);
 	if (!(selectedFile.endsWith(".htm",Qt::CaseInsensitive) || selectedFile.endsWith(".html",Qt::CaseInsensitive) || selectedFile.endsWith(".odt",Qt::CaseInsensitive) || selectedFile.endsWith(".txt",Qt::CaseInsensitive)))
 		dw.setFormat("plaintext");
 	dw.write(solutionText->document());
+#else
+	// Qt < 4.5 has no QTextDocumentWriter class
+QFile file(selectedFile);
+	if (!file.open(QFile::WriteOnly))
+		return;
+QTextStream ts(&file);
+	ts.setCodec(QTextCodec::codecForName("UTF-8"));
+	ts << solutionText->document()->toHtml("UTF-8");
+#endif // QT_VERSION >= 0x040500
 }
 
@@ -388,5 +404,5 @@
 	// TODO: Normal about window :-)
 QString about = QString::fromUtf8("TSPSG - TSP Solver and Generator\n");
-	about += QString::fromUtf8("    Version: "BUILD_VERSION" ("BUILD_STATUS")\n");
+	about += QString::fromUtf8("    Version: "BUILD_VERSION"\n");
 	about += QString::fromUtf8("    Copyright (C) 2007-%1 Lёppa <contacts[at]oleksii[dot]name>\n").arg(QDate::currentDate().toString("yyyy"));
 	about += QString::fromUtf8("Target OS: %1\n").arg(OS);
Index: src/version.h
===================================================================
--- src/version.h	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ src/version.h	(revision ec54b4490b653b930f92f8cc056b2ac27f8fce72)
@@ -27,8 +27,21 @@
 #define BUILD_VERSION_MAJOR 0
 #define BUILD_VERSION_MINOR 1
-#define BUILD_RELEASE 1
-// Will stick this to revision
-#define BUILD_NUMBER 42
-#define BUILD_STATUS "alpha 1"
+#define BUILD_RELEASE 2
+// This will only change on releases and will be the same as revision number
+#define BUILD_NUMBER 65535
+// Release number meanings:
+//   1  --  3: alpha 1 to 3
+//   4  --  7: beta 1 to 4
+//   8  -- 10: rc 1 to 3
+//   11 --...: release 1 to ...
+#if BUILD_NUMBER == 65535
+	#define BUILD_STATUS (dev build)
+#elif BUILD_RELEASE < 4
+	#define BUILD_STATUS (alpha)
+#elif BUILD_RELEASE < 8
+	#define BUILD_STATUS (beta)
+#elif BUILD_RELEASE < 11
+	#define BUILD_STATUS (rc)
+#endif // BUILD_NUMBER == 65535
 
 // "Converting" number to string
@@ -36,5 +49,9 @@
 #define QUOTE(x) QUOTE_X(x)
 
-#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE)
+#ifndef BUILD_STATUS
+	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE)
+#else
+	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE BUILD_STATUS)
+#endif
 
 #endif // VERSION_H
